STOFFSection Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | Friends | List of all members
STOFFSection Class Reference

a class which stores section properties More...

`#include <STOFFSection.hxx>`

## Classes
struct | Column
| struct to store the columns properties More...

## Public Member Functions
| STOFFSection ()
| constructor More...
virtual | ~STOFFSection ()
| destructor More...
void | setColumns (int num, double width, librevenge::RVNGUnit widthUnit, double colSep=0)
| a function which sets n uniform columns More...
int | numColumns () const
| returns the number of columns More...
bool | hasSingleColumns () const
| returns the true if the section has only one columns More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
void | addColumnsTo (librevenge::RVNGPropertyListVector &propList) const
| add tabs to the propList More...
bool | operator!= (STOFFSection const &sec) const
| operator!= More...
bool | operator== (STOFFSection const &sec) const
| operator== More...

## Public Attributes
std::vector< Column > | m_columns
| the different column More...
double | m_width
| the total section width ( if set ) More...
bool | m_balanceText
| true if the text is balanced between different columns More...
STOFFColor | m_backgroundColor
| the background color More...

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFSection const &sec)
| operator << More...

## Detailed Description

a class which stores section properties

## Constructor & Destructor Documentation

STOFFSection::STOFFSection | ( |  | ) |
| inline

constructor

virtual STOFFSection::~STOFFSection | ( |  | ) |
| inlinevirtual

destructor

## Member Function Documentation

void STOFFSection::addColumnsTo | ( | librevenge::RVNGPropertyListVector & | propList | ) | const

add tabs to the propList

Referenced by hasSingleColumns().

void STOFFSection::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

Referenced by hasSingleColumns().

bool STOFFSection::hasSingleColumns | ( |  | ) | const
| inline

returns the true if the section has only one columns

int STOFFSection::numColumns | ( |  | ) | const
| inline

returns the number of columns

bool STOFFSection::operator!= | ( | STOFFSection const & | sec | ) | const
| inline

operator!=

Referenced by operator==().

bool STOFFSection::operator== | ( | STOFFSection const & | sec | ) | const
| inline

operator==

void STOFFSection::setColumns | ( | int | num,
|  | double | width,
|  | librevenge::RVNGUnit | widthUnit,
|  | double | colSep = `0`
| ) |  |

a function which sets n uniform columns

Note
  : this erases previous columns and border if there are some

Referenced by ~STOFFSection().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFSection const & | sec
| ) |  |
| friend

operator <<

Referenced by hasSingleColumns().

## Member Data Documentation

STOFFColor STOFFSection::m_backgroundColor

the background color

Referenced by addTo(), operator!=(), and operator<<().

bool STOFFSection::m_balanceText

true if the text is balanced between different columns

Referenced by addTo(), operator!=(), and operator<<().

std::vector<Column> STOFFSection::m_columns

the different column

Referenced by addColumnsTo(), addTo(), hasSingleColumns(), numColumns(), operator!=(), operator<<(), and setColumns().

double STOFFSection::m_width

the total section width ( if set )

Referenced by operator<<().

The documentation for this class was generated from the following files:

- STOFFSection.hxx
- STOFFSection.cxx